Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
src /
linux-headers-4.4.0-210-generic /
scripts /
Delete
Unzip
Name
Size
Permission
Date
Action
basic
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
coccinelle
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
dtc
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
gdb
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
genksyms
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
kconfig
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
ksymoops
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
mod
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
package
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
selinux
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
tracing
[ DIR ]
drwxr-xr-x
2021-04-21 07:33
.asn1_compiler.cmd
3.18
KB
-rw-r--r--
2021-04-16 13:37
.conmakehash.cmd
2.33
KB
-rw-r--r--
2021-04-16 13:37
.extract-cert.cmd
4.39
KB
-rw-r--r--
2021-04-16 13:37
.insert-sys-cert.cmd
3.88
KB
-rw-r--r--
2021-04-16 13:37
.kallsyms.cmd
2.32
KB
-rw-r--r--
2021-04-16 13:37
.recordmcount.cmd
3.31
KB
-rw-r--r--
2021-04-16 13:37
.sign-file.cmd
5.01
KB
-rw-r--r--
2021-04-16 13:37
.sortextable.cmd
3.48
KB
-rw-r--r--
2021-04-16 13:37
Kbuild.include
13.37
KB
-rw-r--r--
2021-04-16 11:57
Lindent
496
B
-rwxr-xr-x
2016-01-11 00:01
Makefile
2.03
KB
-rw-r--r--
2021-04-16 11:57
Makefile.asm-generic
683
B
-rw-r--r--
2016-01-11 00:01
Makefile.build
17.16
KB
-rw-r--r--
2021-04-16 11:57
Makefile.clean
2.83
KB
-rw-r--r--
2016-01-11 00:01
Makefile.dtbinst
1.41
KB
-rw-r--r--
2016-01-11 00:01
Makefile.extrawarn
2.54
KB
-rw-r--r--
2021-04-16 11:57
Makefile.fwinst
2.01
KB
-rw-r--r--
2016-01-11 00:01
Makefile.headersinst
4.65
KB
-rw-r--r--
2016-01-11 00:01
Makefile.help
68
B
-rw-r--r--
2016-01-11 00:01
Makefile.host
4.51
KB
-rw-r--r--
2016-01-11 00:01
Makefile.kasan
976
B
-rw-r--r--
2021-04-16 11:57
Makefile.lib
14.9
KB
-rw-r--r--
2021-04-16 11:57
Makefile.modbuiltin
1.78
KB
-rw-r--r--
2016-01-11 00:01
Makefile.modinst
1.43
KB
-rw-r--r--
2021-04-16 11:57
Makefile.modpost
5.25
KB
-rw-r--r--
2021-04-16 11:57
Makefile.modsign
1005
B
-rw-r--r--
2016-01-11 00:01
analyze_suspend.py
117.57
KB
-rwxr-xr-x
2016-01-11 00:01
asn1_compiler
27.3
KB
-rwxr-xr-x
2021-04-16 13:37
asn1_compiler.c
35.54
KB
-rw-r--r--
2016-01-11 00:01
bloat-o-meter
1.9
KB
-rwxr-xr-x
2021-04-16 11:57
bootgraph.pl
6.28
KB
-rwxr-xr-x
2016-01-11 00:01
check-lc_ctype.c
201
B
-rw-r--r--
2016-01-11 00:01
check_extable.sh
4.9
KB
-rwxr-xr-x
2016-01-11 00:01
checkincludes.pl
1.77
KB
-rwxr-xr-x
2016-01-11 00:01
checkkconfigsymbols.py
11.44
KB
-rwxr-xr-x
2016-01-11 00:01
checkpatch.pl
169.77
KB
-rwxr-xr-x
2021-04-16 11:57
checkstack.pl
5.39
KB
-rwxr-xr-x
2021-04-16 11:57
checksyscalls.sh
5.62
KB
-rwxr-xr-x
2016-01-11 00:01
checkversion.pl
1.86
KB
-rwxr-xr-x
2016-01-11 00:01
cleanfile
3.41
KB
-rwxr-xr-x
2016-01-11 00:01
cleanpatch
5.01
KB
-rwxr-xr-x
2016-01-11 00:01
coccicheck
4.66
KB
-rwxr-xr-x
2016-01-11 00:01
config
4.6
KB
-rwxr-xr-x
2021-04-16 11:57
conmakehash
13.2
KB
-rwxr-xr-x
2021-04-16 13:37
conmakehash.c
5.98
KB
-rw-r--r--
2016-01-11 00:01
decode_stacktrace.sh
3.15
KB
-rwxr-xr-x
2021-04-16 11:57
decodecode
2.15
KB
-rwxr-xr-x
2021-04-16 11:57
depmod.sh
1.9
KB
-rwxr-xr-x
2021-04-16 11:57
diffconfig
3.68
KB
-rwxr-xr-x
2016-01-11 00:01
docproc.c
13.8
KB
-rw-r--r--
2016-01-11 00:01
export_report.pl
4.53
KB
-rwxr-xr-x
2016-01-11 00:01
extract-cert
14.27
KB
-rwxr-xr-x
2021-04-16 13:37
extract-cert.c
3.46
KB
-rw-r--r--
2016-01-11 00:01
extract-ikconfig
1.69
KB
-rwxr-xr-x
2016-01-11 00:01
extract-module-sig.pl
3.61
KB
-rwxr-xr-x
2016-01-11 00:01
extract-sys-certs.pl
3.7
KB
-rwxr-xr-x
2021-04-16 11:57
extract-vmlinux
1.6
KB
-rwxr-xr-x
2016-01-11 00:01
gcc-goto.sh
495
B
-rwxr-xr-x
2016-01-11 00:01
gcc-ld
676
B
-rwxr-xr-x
2016-01-11 00:01
gcc-version.sh
822
B
-rwxr-xr-x
2016-01-11 00:01
gcc-x86_32-has-stack-protector.sh
184
B
-rwxr-xr-x
2016-01-11 00:01
gcc-x86_64-has-stack-protector.sh
209
B
-rwxr-xr-x
2021-04-16 11:57
gen_initramfs_list.sh
7.87
KB
-rwxr-xr-x
2016-01-11 00:01
get_maintainer.pl
58.29
KB
-rwxr-xr-x
2016-01-11 00:01
gfp-translate
1.71
KB
-rwxr-xr-x
2016-01-11 00:01
headerdep.pl
3.46
KB
-rwxr-xr-x
2016-01-11 00:01
headers.sh
477
B
-rwxr-xr-x
2016-01-11 00:01
headers_check.pl
3.6
KB
-rwxr-xr-x
2016-01-11 00:01
headers_install.sh
1.28
KB
-rwxr-xr-x
2016-01-11 00:01
insert-sys-cert
18.59
KB
-rwxr-xr-x
2021-04-16 13:37
insert-sys-cert.c
13.08
KB
-rw-r--r--
2021-04-16 11:57
kallsyms
18.62
KB
-rwxr-xr-x
2021-04-16 13:37
kallsyms.c
16.8
KB
-rw-r--r--
2021-04-16 11:57
kernel-doc
76.08
KB
-rwxr-xr-x
2021-04-16 11:57
kernel-doc-xml-ref
4.22
KB
-rwxr-xr-x
2016-01-11 00:01
ld-version.sh
207
B
-rwxr-xr-x
2021-04-16 11:57
link-vmlinux.sh
5.84
KB
-rwxr-xr-x
2021-04-16 11:57
makelst
773
B
-rwxr-xr-x
2016-01-11 00:01
markup_oops.pl
8.08
KB
-rwxr-xr-x
2016-01-11 00:01
mkcompile_h
2.46
KB
-rwxr-xr-x
2016-01-11 00:01
mkmakefile
1.16
KB
-rwxr-xr-x
2016-01-11 00:01
mksysmap
1.33
KB
-rwxr-xr-x
2021-04-16 11:57
mkuboot.sh
379
B
-rwxr-xr-x
2016-01-11 00:01
mkversion
74
B
-rw-r--r--
2016-01-11 00:01
module-common.lds
888
B
-rw-r--r--
2021-04-16 11:57
namespace.pl
13.13
KB
-rwxr-xr-x
2021-04-16 11:57
objdiff
2.69
KB
-rwxr-xr-x
2016-01-11 00:01
patch-kernel
9.91
KB
-rwxr-xr-x
2016-01-11 00:01
pnmtologo.c
11.91
KB
-rw-r--r--
2016-01-11 00:01
profile2linkerlist.pl
375
B
-rwxr-xr-x
2016-01-11 00:01
recordmcount
24
KB
-rwxr-xr-x
2021-04-16 13:37
recordmcount.c
15.31
KB
-rw-r--r--
2021-04-16 11:57
recordmcount.h
16.4
KB
-rw-r--r--
2021-04-16 11:57
recordmcount.pl
18.3
KB
-rwxr-xr-x
2021-04-16 11:57
setlocalversion
4.69
KB
-rwxr-xr-x
2021-04-16 11:57
show_delta
2.99
KB
-rwxr-xr-x
2016-01-11 00:01
sign-file
18.95
KB
-rwxr-xr-x
2021-04-16 13:37
sign-file.c
8.14
KB
-rwxr-xr-x
2016-01-11 00:01
sortextable
18.04
KB
-rwxr-xr-x
2021-04-16 13:37
sortextable.c
7.65
KB
-rw-r--r--
2016-01-11 00:01
sortextable.h
5.48
KB
-rw-r--r--
2016-01-11 00:01
spelling.txt
21.33
KB
-rw-r--r--
2016-01-11 00:01
stackdelta
1.8
KB
-rwxr-xr-x
2016-01-11 00:01
stackusage
759
B
-rwxr-xr-x
2016-01-11 00:01
tags.sh
10.58
KB
-rwxr-xr-x
2021-04-16 11:57
ubuntu-retpoline-extract-one
7.26
KB
-rw-r--r--
2021-04-16 13:37
unifdef.c
34.8
KB
-rw-r--r--
2021-04-16 11:57
ver_linux
3.89
KB
-rwxr-xr-x
2016-01-11 00:01
xen-hypercalls.sh
351
B
-rw-r--r--
2016-01-11 00:01
xz_wrap.sh
562
B
-rwxr-xr-x
2016-01-11 00:01
Save
Rename
#!/bin/sh # # link vmlinux # # vmlinux is linked from the objects selected by $(KBUILD_VMLINUX_INIT) and # $(KBUILD_VMLINUX_MAIN). Most are built-in.o files from top-level directories # in the kernel tree, others are specified in arch/$(ARCH)/Makefile. # Ordering when linking is important, and $(KBUILD_VMLINUX_INIT) must be first. # # vmlinux # ^ # | # +-< $(KBUILD_VMLINUX_INIT) # | +--< init/version.o + more # | # +--< $(KBUILD_VMLINUX_MAIN) # | +--< drivers/built-in.o mm/built-in.o + more # | # +-< ${kallsymso} (see description in KALLSYMS section) # # vmlinux version (uname -v) cannot be updated during normal # descending-into-subdirs phase since we do not yet know if we need to # update vmlinux. # Therefore this step is delayed until just before final link of vmlinux. # # System.map is generated to document addresses of all kernel symbols # Error out on error set -e # Nice output in kbuild format # Will be supressed by "make -s" info() { if [ "${quiet}" != "silent_" ]; then printf " %-7s %s\n" ${1} ${2} fi } # Link of vmlinux.o used for section mismatch analysis # ${1} output file modpost_link() { ${LD} ${LDFLAGS} -r -o ${1} ${KBUILD_VMLINUX_INIT} \ --start-group ${KBUILD_VMLINUX_MAIN} --end-group } # Link of vmlinux # ${1} - optional extra .o files # ${2} - output file vmlinux_link() { local lds="${objtree}/${KBUILD_LDS}" if [ "${SRCARCH}" != "um" ]; then ${LD} ${LDFLAGS} ${LDFLAGS_vmlinux} -o ${2} \ -T ${lds} ${KBUILD_VMLINUX_INIT} \ --start-group ${KBUILD_VMLINUX_MAIN} --end-group ${1} else ${CC} ${CFLAGS_vmlinux} -o ${2} \ -Wl,-T,${lds} ${KBUILD_VMLINUX_INIT} \ -Wl,--start-group \ ${KBUILD_VMLINUX_MAIN} \ -Wl,--end-group \ -lutil -lrt -lpthread ${1} rm -f linux fi } # Create ${2} .o file with all symbols from the ${1} object file kallsyms() { info KSYM ${2} local kallsymopt; if [ -n "${CONFIG_HAVE_UNDERSCORE_SYMBOL_PREFIX}" ]; then kallsymopt="${kallsymopt} --symbol-prefix=_" fi if [ -n "${CONFIG_KALLSYMS_ALL}" ]; then kallsymopt="${kallsymopt} --all-symbols" fi if [ -n "${CONFIG_ARM}" ] && [ -z "${CONFIG_XIP_KERNEL}" ] && [ -n "${CONFIG_PAGE_OFFSET}" ]; then kallsymopt="${kallsymopt} --page-offset=$CONFIG_PAGE_OFFSET" fi if [ -n "${CONFIG_X86_64}" ]; then kallsymopt="${kallsymopt} --absolute-percpu" fi local aflags="${KBUILD_AFLAGS} ${KBUILD_AFLAGS_KERNEL} \ ${NOSTDINC_FLAGS} ${LINUXINCLUDE} ${KBUILD_CPPFLAGS}" ${NM} -n ${1} | \ scripts/kallsyms ${kallsymopt} | \ ${CC} ${aflags} -c -o ${2} -x assembler-with-cpp - } # Create map file with all symbols from ${1} # See mksymap for additional details mksysmap() { ${CONFIG_SHELL} "${srctree}/scripts/mksysmap" ${1} ${2} } sortextable() { ${objtree}/scripts/sortextable ${1} } # Delete output files in case of error cleanup() { rm -f .old_version rm -f .tmp_System.map rm -f .tmp_kallsyms* rm -f .tmp_version rm -f .tmp_vmlinux* rm -f System.map rm -f vmlinux rm -f vmlinux.o } on_exit() { if [ $? -ne 0 ]; then cleanup fi } trap on_exit EXIT on_signals() { exit 1 } trap on_signals HUP INT QUIT TERM # # # Use "make V=1" to debug this script case "${KBUILD_VERBOSE}" in *1*) set -x ;; esac if [ "$1" = "clean" ]; then cleanup exit 0 fi # We need access to CONFIG_ symbols case "${KCONFIG_CONFIG}" in */*) . "${KCONFIG_CONFIG}" ;; *) # Force using a file from the current directory . "./${KCONFIG_CONFIG}" esac #link vmlinux.o info LD vmlinux.o modpost_link vmlinux.o # modpost vmlinux.o to check for section mismatches ${MAKE} -f "${srctree}/scripts/Makefile.modpost" vmlinux.o # Update version info GEN .version if [ ! -r .version ]; then rm -f .version; echo 1 >.version; else mv .version .old_version; expr 0$(cat .old_version) + 1 >.version; fi; # final build of init/ ${MAKE} -f "${srctree}/scripts/Makefile.build" obj=init kallsymso="" kallsyms_vmlinux="" if [ -n "${CONFIG_KALLSYMS}" ]; then # kallsyms support # Generate section listing all symbols and add it into vmlinux # It's a three step process: # 1) Link .tmp_vmlinux1 so it has all symbols and sections, # but __kallsyms is empty. # Running kallsyms on that gives us .tmp_kallsyms1.o with # the right size # 2) Link .tmp_vmlinux2 so it now has a __kallsyms section of # the right size, but due to the added section, some # addresses have shifted. # From here, we generate a correct .tmp_kallsyms2.o # 2a) We may use an extra pass as this has been necessary to # woraround some alignment related bugs. # KALLSYMS_EXTRA_PASS=1 is used to trigger this. # 3) The correct ${kallsymso} is linked into the final vmlinux. # # a) Verify that the System.map from vmlinux matches the map from # ${kallsymso}. kallsymso=.tmp_kallsyms2.o kallsyms_vmlinux=.tmp_vmlinux2 # step 1 vmlinux_link "" .tmp_vmlinux1 kallsyms .tmp_vmlinux1 .tmp_kallsyms1.o # step 2 vmlinux_link .tmp_kallsyms1.o .tmp_vmlinux2 kallsyms .tmp_vmlinux2 .tmp_kallsyms2.o # step 2a if [ -n "${KALLSYMS_EXTRA_PASS}" ]; then kallsymso=.tmp_kallsyms3.o kallsyms_vmlinux=.tmp_vmlinux3 vmlinux_link .tmp_kallsyms2.o .tmp_vmlinux3 kallsyms .tmp_vmlinux3 .tmp_kallsyms3.o fi fi info LD vmlinux vmlinux_link "${kallsymso}" vmlinux if [ -n "${CONFIG_BUILDTIME_EXTABLE_SORT}" ]; then info SORTEX vmlinux sortextable vmlinux fi info SYSMAP System.map mksysmap vmlinux System.map # step a (see comment above) if [ -n "${CONFIG_KALLSYMS}" ]; then mksysmap ${kallsyms_vmlinux} .tmp_System.map if ! cmp -s System.map .tmp_System.map; then echo >&2 Inconsistent kallsyms data echo >&2 Try "make KALLSYMS_EXTRA_PASS=1" as a workaround exit 1 fi fi # We made a new kernel - delete old version file rm -f .old_version